// PNPOP3.h: interface for the CPOP3 class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PNPOP3_H__2063FBB0_E931_11D3_9F5B_080009EE62AA__INCLUDED_)
#define AFX_PNPOP3_H__2063FBB0_E931_11D3_9F5B_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PNCommandSocket.h"

class CPNPOP3 : public CPNCommandSocket  
{
public:
	bool ParseMsg( CString& Msg, CString& From, CString& Subj, CString& Date );
	bool GetMsg( int Index, CString& Dest);
	BOOL Connect( LPCTSTR lpszHostAddress, UINT nHostPort=110 );
	bool Login( const char* User, const char* Password );
	int GetMsgCount();
	CPNPOP3();
	virtual ~CPNPOP3();
	
	int m_MessageIDs[128];
	int m_MessageSize[128];
	int m_Count;


};

#endif // !defined(AFX_PNPOP3_H__2063FBB0_E931_11D3_9F5B_080009EE62AA__INCLUDED_)
